#!/bin/sh
# This script is used to setup modem connected to /dev/ttyS1
# feed2Cu.sh will give input to "cu" and the output is processed by
# outFromCu.sh script.
# 
# let us kill those using ttyS1
fuser -k /dev/ttyS1
sleep 4

# let us allow cu to use this line
chmod a+rwx /dev/ttyS1
# let us see if setmodem is chkconfig on
chkconfig setmodem
if [ $? -eq 1 ] ;
then
	printf "
setmodem: configuration turned off.  bailing out.
" > /dev/console
	exit 1
fi
HWMODEL=`/sbin/sin | /bin/grep "Platform" | /bin/sed -e"s/[ ]*//g" | /usr/bin/cut -d, -f1 | /usr/bin/cut -d: -f2 2> /dev/null`
if [ "$HWMODEL" != "SWBD10" ]; then
                echo "setmodem.sh not supported on this platform"
                exit
fi

feed2Cu.sh | cu  -l ttyS1 | outFromCu.sh
exit 0
